<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.8
Name: VZVZ Opleveren Algemene Uitslagen
Description: Opleveren Algemene Uitslagen 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-01-13T000000">
   <title>VZVZ Opleveren Algemene Uitslagen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.8
Context: /
Item: (opleverenAlgemeneUitslagen)
-->

   <rule context="/" id="tmp-r-a2e6f777-b77c-4079-bee7-7446cd87fb93">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-01-13T000000.html"
              test="count(hl7:POOB_IN990003NL)&gt;=1 ">(opleverenAlgemeneUitslagen): element hl7:POOB_IN990003NL is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-01-13T000000.html"
              test="count(hl7:POOB_IN990003NL)&lt;=1">(opleverenAlgemeneUitslagen): element hl7:POOB_IN990003NL komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.8
Context: /hl7:POOB_IN990003NL
Item: (opleverenAlgemeneUitslagen)
-->

   <rule context="/hl7:POOB_IN990003NL"
         id="tmp-r-6e7d6d94-3d23-4eef-b9a1-15a8641836ee">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-01-13T000000.html"
              test="count(hl7:ControlActProcess)&gt;=1 ">(opleverenAlgemeneUitslagen): element hl7:ControlActProcess is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.8
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess
Item: (opleverenAlgemeneUitslagen)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess"
         id="tmp-r-b7d9aab4-94a2-47ab-9220-fb8f416a8209">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-01-13T000000.html"
              test="string(@moodCode)=('EVN')">(opleverenAlgemeneUitslagen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-01-13T000000.html"
              test="count(hl7:subject[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.202']])&gt;=1 ">(opleverenAlgemeneUitslagen): element hl7:subject[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.202']] is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.8
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.202']]
Item: (opleverenAlgemeneUitslagen)
--></pattern>
