<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Name: VZVZ Opvragen Contactmomenten
Description: Opvragen Contactmomenten 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000">
   <title>VZVZ Opvragen Contactmomenten</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /
Item: (opvragenContactmomenten)
-->

   <rule context="/" id="tmp-r-43ce4482-25aa-49bc-a8a7-47859a152be8">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:PRPA_IN900300NL)&gt;=1 ">(opvragenContactmomenten): element hl7:PRPA_IN900300NL is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:PRPA_IN900300NL)&lt;=1">(opvragenContactmomenten): element hl7:PRPA_IN900300NL komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL"
         id="tmp-r-630c9ade-75cf-4d9b-abe1-abd0d634bd59">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']])&gt;=1 and not(hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/@nullFlavor)">(opvragenContactmomenten): element hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']])&lt;=1">(opvragenContactmomenten): element hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9022
Context: /hl7:PRPA_IN900300NL/hl7:attentionLine
Item: (AttentionLineContextCode)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:attentionLine"
         id="tmp-r-86e2a7e6-37b7-4afb-bd1c-918c432b8568">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="count(hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor])&gt;=1 ">(AttentionLineContextCode): element hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="count(hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor])&lt;=1">(AttentionLineContextCode): element hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(AttentionLineContextCode): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(AttentionLineContextCode): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9022
Context: /hl7:PRPA_IN900300NL/hl7:attentionLine/hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor]
Item: (AttentionLineContextCode)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:attentionLine/hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor]"
         id="tmp-r-c66d6ff0-7507-4334-a0a2-cea2cb6dd110">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AttentionLineContextCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="@nullFlavor or not(@code) or (@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1')">(AttentionLineContextCode): de elementwaarde MOET een zijn van 'code 'CONTEXT' codeSystem '2.16.840.1.113883.2.4.15.1''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="text()='ContextCode'">(AttentionLineContextCode): de element content van hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor] MOET ''ContextCode'' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9022
Context: /hl7:PRPA_IN900300NL/hl7:attentionLine/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (AttentionLineContextCode)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:attentionLine/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-f6604554-0d29-4d85-bdd2-0e71000e67dd">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AttentionLineContextCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(AttentionLineContextCode): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.66.11.116 AORTA Context Code (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(AttentionLineContextCode): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.66.11.116 AORTA Context Code (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]"
         id="tmp-r-0ccc731b-a715-404f-99b9-9dfc703cdb70">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="string(@moodCode)=('EVN')">(opvragenContactmomenten): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:overseer)&gt;=1 ">(opvragenContactmomenten): element hl7:overseer is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:overseer)&lt;=1">(opvragenContactmomenten): element hl7:overseer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9'])&gt;=1 and not(hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/@nullFlavor)">(opvragenContactmomenten): element hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9'])&lt;=1">(opvragenContactmomenten): element hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer"
         id="tmp-r-0d6e9d85-d6ac-46ce-b4c6-69bd33fec245">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="string(@typeCode)=('RESP') or not(@typeCode)">(ControlActOverseerPerson): de waarde van @typeCode MOET 'RESP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(ControlActOverseerPerson): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(ControlActOverseerPerson): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity"
         id="tmp-r-4ab64dc2-ddcf-49f2-97e3-ae4a0b811112">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.1']/@nullFlavor)">(ControlActOverseerPerson): element hl7:id[@root='2.16.528.1.1007.3.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&lt;=1">(ControlActOverseerPerson): element hl7:id[@root='2.16.528.1.1007.3.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ControlActOverseerPerson): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:code)&lt;=1">(ControlActOverseerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedPrincipalChoiceList)&gt;=1 and not(hl7:assignedPrincipalChoiceList/@nullFlavor)">(ControlActOverseerPerson): element hl7:assignedPrincipalChoiceList is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedPrincipalChoiceList)&lt;=1">(ControlActOverseerPerson): element hl7:assignedPrincipalChoiceList komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)">(ControlActOverseerPerson): element hl7:Organization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:Organization)&lt;=1">(ControlActOverseerPerson): element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-r-e73e399c-cce5-4499-83e9-9725d558ebd3">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="string(@root)=('2.16.528.1.1007.3.1')">(ControlActOverseerPerson): de waarde van @root MOET '2.16.528.1.1007.3.1' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:code
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:code"
         id="tmp-r-08fc15c0-9671-46f8-bdcd-663f8e20832c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')">(ControlActOverseerPerson): Control Act: / moet een UZI-register rolcode bevatten en deze mag niet 00.000 zijn</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList"
         id="tmp-r-b65e2366-2663-4756-be6d-5b4dd88eddfb">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(ControlActOverseerPerson): element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(ControlActOverseerPerson): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList/hl7:assignedPerson
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList/hl7:assignedPerson"
         id="tmp-r-f7eefcf1-0f30-4a7a-91af-30b696f188fb">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActOverseerPerson): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:name)&lt;=1">(ControlActOverseerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name"
         id="tmp-r-096c8786-188e-4c6e-98f7-a0d1d05b0bbf">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:Organization
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:Organization"
         id="tmp-r-d417afa8-143e-4207-a728-baf91b2ebcc4">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ControlActOverseerPerson): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:id)&lt;=1">(ControlActOverseerPerson): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:code)&lt;=1">(ControlActOverseerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActOverseerPerson): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:name)&lt;=1">(ControlActOverseerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(ControlActOverseerPerson): element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:addr)&lt;=1">(ControlActOverseerPerson): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:id
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:id"
         id="tmp-r-5f2b57ec-b7dc-4b2d-8e54-18154dceb68b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="@root='2.16.528.1.1007.3.3' and @extension">(ControlActOverseerPerson): Control Act: / moet een URA bevatten</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:code
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:code"
         id="tmp-r-cb393286-397e-4689-af86-cf61aa903216">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(ControlActOverseerPerson): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.2.4.15.1060''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:name
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:name"
         id="tmp-r-03bf279c-0e11-4a40-b65a-3d4be720df7d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:addr
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:addr"
         id="tmp-r-a1e6c09f-c9c7-4737-933c-f0e2ee341a76">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="hl7:city">(ControlActOverseerPerson): Control Act: / moet tenminste de vestigingsplaats bevatten</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']"
         id="tmp-r-eb1c5b3e-5e29-41bc-9c92-de377af8ad9c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9'])&gt;=1 ">(opvragenContactmomenten): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9'])&lt;=1">(opvragenContactmomenten): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:queryId)&gt;=1 and not(hl7:queryId/@nullFlavor)">(opvragenContactmomenten): element hl7:queryId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:queryId)&lt;=1">(opvragenContactmomenten): element hl7:queryId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:statusCode[@code='executing'])&gt;=1 and not(hl7:statusCode[@code='executing']/@nullFlavor)">(opvragenContactmomenten): element hl7:statusCode[@code='executing'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:statusCode[@code='executing'])&lt;=1">(opvragenContactmomenten): element hl7:statusCode[@code='executing'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:responseModalityCode[@code='R'])&gt;=1 and not(hl7:responseModalityCode[@code='R']/@nullFlavor)">(opvragenContactmomenten): element hl7:responseModalityCode[@code='R'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:responseModalityCode[@code='R'])&lt;=1">(opvragenContactmomenten): element hl7:responseModalityCode[@code='R'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:responsePriorityCode[@code='I'])&gt;=1 and not(hl7:responsePriorityCode[@code='I']/@nullFlavor)">(opvragenContactmomenten): element hl7:responsePriorityCode[@code='I'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:responsePriorityCode[@code='I'])&lt;=1">(opvragenContactmomenten): element hl7:responsePriorityCode[@code='I'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:executionAndDeliveryTime)&gt;=1 and not(hl7:executionAndDeliveryTime/@nullFlavor)">(opvragenContactmomenten): element hl7:executionAndDeliveryTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:executionAndDeliveryTime)&lt;=1">(opvragenContactmomenten): element hl7:executionAndDeliveryTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:encounterTimeframe)&lt;=1">(opvragenContactmomenten): element hl7:encounterTimeframe komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:patientId)&gt;=1 and not(hl7:patientId/@nullFlavor)">(opvragenContactmomenten): element hl7:patientId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:patientId)&lt;=1">(opvragenContactmomenten): element hl7:patientId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:typeOfEncounter)&lt;=1">(opvragenContactmomenten): element hl7:typeOfEncounter komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']"
         id="tmp-r-0f862749-eab4-40d3-9672-8e004bd954a4">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.66.10.9')">(opvragenContactmomenten): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.66.10.9' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:queryId
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:queryId"
         id="tmp-r-215f3103-e696-4a1f-9418-d4f5937ff695">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:statusCode[@code='executing']
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:statusCode[@code='executing']"
         id="tmp-r-b4676f93-db03-4a6d-9ada-f4d09e497f2f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="@nullFlavor or (@code='executing')">(opvragenContactmomenten): de elementwaarde MOET een zijn van 'code 'executing''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:responseModalityCode[@code='R']
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:responseModalityCode[@code='R']"
         id="tmp-r-b5ba7f75-42e8-460e-9bb2-91e81421d13a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="@nullFlavor or (@code='R')">(opvragenContactmomenten): de elementwaarde MOET een zijn van 'code 'R''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:responsePriorityCode[@code='I']
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:responsePriorityCode[@code='I']"
         id="tmp-r-be86d002-2f5b-4a53-b055-1203455b2207">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="@nullFlavor or (@code='I')">(opvragenContactmomenten): de elementwaarde MOET een zijn van 'code 'I''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:executionAndDeliveryTime
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:executionAndDeliveryTime"
         id="tmp-r-14aa5b56-a79e-41fc-98f3-1b1add7e0f45">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:encounterTimeframe
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:encounterTimeframe"
         id="tmp-r-fef250a4-9bef-4bc0-8c08-992ddde7a8d6">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:value)&gt;=1 ">(opvragenContactmomenten): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:value)&lt;=1">(opvragenContactmomenten): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:encounterTimeframe/hl7:value
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:encounterTimeframe/hl7:value"
         id="tmp-r-5dbb91bc-d514-4a7e-a814-84cf03c7bdb2">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="not(hl7:low) or string-length(hl7:low/@value)&gt;=12">(opvragenContactmomenten): Onder- en bovengrens (low, high) is tot op de minuut te specficeren</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="not(hl7:high) or string-length(hl7:high/@value)&gt;=12">(opvragenContactmomenten): Onder- en bovengrens (low, high) is tot op de minuut te specficeren</assert>
      <let name="elmcount" value="count(hl7:low|hl7:high)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="$elmcount&gt;=1">(opvragenContactmomenten): keuze (hl7:low of hl7:high) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="$elmcount&lt;=2">(opvragenContactmomenten): keuze (hl7:low of hl7:high) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:low)&lt;=1">(opvragenContactmomenten): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:high)&lt;=1">(opvragenContactmomenten): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:encounterTimeframe/hl7:value/hl7:low
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:encounterTimeframe/hl7:value/hl7:low"
         id="tmp-r-ebf38b27-876d-4fb1-bfb0-0844b5587a67">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:encounterTimeframe/hl7:value/hl7:high
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:encounterTimeframe/hl7:value/hl7:high"
         id="tmp-r-721cd861-7a8c-44b4-9f35-82f287d066d5">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9035
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:patientId
Item: (kezo-QRYpatientId)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:patientId"
         id="tmp-r-83021abd-0e0d-43c0-a822-6d660abc3e94">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9035-2015-06-01T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(kezo-QRYpatientId): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9035-2015-06-01T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(kezo-QRYpatientId): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9035
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']
Item: (kezo-QRYpatientId)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-b67aff18-6aef-4c6d-b1c2-79379aed56ad">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9035-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-QRYpatientId): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9035-2015-06-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.3')">(kezo-QRYpatientId): de waarde van @root MOET '2.16.840.1.113883.2.4.6.3' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9035-2015-06-01T000000.html"
              test="@extension">(kezo-QRYpatientId): attribute @extension MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:typeOfEncounter
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:typeOfEncounter"
         id="tmp-r-51b5277f-a6db-4e94-bccb-ec28bea6fb0d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(opvragenContactmomenten): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(opvragenContactmomenten): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9
Context: /hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:typeOfEncounter/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (opvragenContactmomenten)
-->

   <rule context="/hl7:PRPA_IN900300NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.9']/hl7:typeOfEncounter/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-824afd48-3016-449a-996e-44e7df5c7f01">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(opvragenContactmomenten): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.103.11.3 NHG tabel 14v3 - ContactType (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.103.11.3-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20150911T134214/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9-2014-01-13T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(opvragenContactmomenten): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.103.11.3 NHG tabel 14v3 - ContactType (DYNAMISCH).</assert>
   </rule>
</pattern>
